package com.bytedance.android.livesdk.livesetting.gift;

import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;

@SettingsKey("gift_bytevc1_resource_enable")
public final class LiveGiftByteVC1ResourceSetting {
    @Group(isDefault = true, value = "default group")
    public static final boolean DEFAULT = false;
    public static final LiveGiftByteVC1ResourceSetting INSTANCE = new LiveGiftByteVC1ResourceSetting();

    static {
        Covode.recordClassIndex(17824);
    }

    public final boolean getValue() {
        return SettingsManager.INSTANCE.getBooleanValue(LiveGiftByteVC1ResourceSetting.class);
    }
}
